#!/usr/bin/env python
#-*-coding:utf-8-*-

# Copyright (C) - 2011 Juan B Cabral <jbc dot develop at gmail dot com>

# "THE BEER-WARE LICENSE" (Revision 42):
# <jbc.develop@gmail.com> wrote this file. As long as you retain this notice you
# can do whatever you want with this stuff. If we meet some day, and you think
# this stuff is worth it, you can buy me a beer in return Juan BC


#===============================================================================
# DOCS
#===============================================================================

"""Setup for pycante (http://bitbucket.org/leliel12/pycante)"""


#===============================================================================
# NEEDED MODULES
#===============================================================================

# This modules can't be easy installed
# Syntax: ((<MODULE_NAME>, <URL OF THE TUTORIAL>), ...)
NEEDED_MODULES = (
    ("PyQt4", "http://www.riverbankcomputing.co.uk/software/pyqt/intro"), 
)


for mn, urlm in NEEDED_MODULES:
    try:
        __import__(mn)
    except ImportError:
        print "Module '%s' not found. For more details see '%s'.\n" % (mn, urlm)
        sys.exit(1)


#===============================================================================
# IMPORTS
#===============================================================================

from ez_setup import use_setuptools
use_setuptools()

from setuptools import setup

import pycante


#===============================================================================
# SETUP
#===============================================================================

DOWNLOAD_URL = "{url}/downloads/{name}-{version}.tar.gz".format(url=pycante.__url__, 
                                                                version=pycante.__version__, 
                                                                name=pycante.__name__)
setup(name=pycante.__name__,
      version=pycante.__version__,
      description=pycante.__doc__.splitlines()[0],
      long_description=pycante.__doc__,
      author=pycante.__author__,
      author_email=pycante.__email__,
      url=pycante.__url__,
      download_url=DOWNLOAD_URL,
      license="BEER-WARE",
      keywords="qt pyqt gui",
      classifiers=[
                   "Development Status :: 4 - Beta",
                   "Topic :: Utilities",
                   "Operating System :: OS Independent",
                   "Programming Language :: Python :: 2",
                   ],
      py_modules = ["pycante", "ez_setup"],
      test_suite = "test",
)


#===============================================================================
# MAIN
#===============================================================================

if __name__ == '__main__':
    print(__doc__)
